// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/WindTurbineBlade.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace WindTurbine {

  /// <summary>Holder for reflection information generated from telemetry/WindTurbineBlade.proto</summary>
  public static partial class WindTurbineBladeReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/WindTurbineBlade.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WindTurbineBladeReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiB0ZWxlbWV0cnkvV2luZFR1cmJpbmVCbGFkZS5wcm90bxIMd2luZF90dXJi",
            "aW5lGh9nb29nbGUvcHJvdG9idWYvdGltZXN0YW1wLnByb3RvInQKEFdpbmRU",
            "dXJiaW5lQmxhZGUSEgoFc3BlZWQYASABKAlIAIgBARIYCgtwaXRjaF9hbmds",
            "ZRgCIAEoCUgBiAEBEhgKEGJsYWRlX2lkZW50aWZpZXIYAyABKAlCCAoGX3Nw",
            "ZWVkQg4KDF9waXRjaF9hbmdsZUJ8Chtjb20uY29kaWJseS5tb2RlbC50ZWxl",
            "bWV0cnlCFVdpbmRUdXJiaW5lQmxhZGVQcm90b8oCG0RvbWFpbk1vZGVsXFBy",
            "b3RvXFRlbGVtZXRyeeICJ0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeVxH",
            "UEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::WindTurbine.WindTurbineBlade), global::WindTurbine.WindTurbineBlade.Parser, new[]{ "Speed", "PitchAngle", "BladeIdentifier" }, new[]{ "Speed", "PitchAngle" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class WindTurbineBlade : pb::IMessage<WindTurbineBlade>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WindTurbineBlade> _parser = new pb::MessageParser<WindTurbineBlade>(() => new WindTurbineBlade());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WindTurbineBlade> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WindTurbine.WindTurbineBladeReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineBlade() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineBlade(WindTurbineBlade other) : this() {
      speed_ = other.speed_;
      pitchAngle_ = other.pitchAngle_;
      bladeIdentifier_ = other.bladeIdentifier_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineBlade Clone() {
      return new WindTurbineBlade(this);
    }

    /// <summary>Field number for the "speed" field.</summary>
    public const int SpeedFieldNumber = 1;
    private string speed_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Speed {
      get { return speed_ ?? ""; }
      set {
        speed_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "speed" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSpeed {
      get { return speed_ != null; }
    }
    /// <summary>Clears the value of the "speed" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSpeed() {
      speed_ = null;
    }

    /// <summary>Field number for the "pitch_angle" field.</summary>
    public const int PitchAngleFieldNumber = 2;
    private string pitchAngle_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string PitchAngle {
      get { return pitchAngle_ ?? ""; }
      set {
        pitchAngle_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "pitch_angle" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasPitchAngle {
      get { return pitchAngle_ != null; }
    }
    /// <summary>Clears the value of the "pitch_angle" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearPitchAngle() {
      pitchAngle_ = null;
    }

    /// <summary>Field number for the "blade_identifier" field.</summary>
    public const int BladeIdentifierFieldNumber = 3;
    private string bladeIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string BladeIdentifier {
      get { return bladeIdentifier_; }
      set {
        bladeIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WindTurbineBlade);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WindTurbineBlade other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Speed != other.Speed) return false;
      if (PitchAngle != other.PitchAngle) return false;
      if (BladeIdentifier != other.BladeIdentifier) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasSpeed) hash ^= Speed.GetHashCode();
      if (HasPitchAngle) hash ^= PitchAngle.GetHashCode();
      if (BladeIdentifier.Length != 0) hash ^= BladeIdentifier.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasSpeed) {
        output.WriteRawTag(10);
        output.WriteString(Speed);
      }
      if (HasPitchAngle) {
        output.WriteRawTag(18);
        output.WriteString(PitchAngle);
      }
      if (BladeIdentifier.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(BladeIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasSpeed) {
        output.WriteRawTag(10);
        output.WriteString(Speed);
      }
      if (HasPitchAngle) {
        output.WriteRawTag(18);
        output.WriteString(PitchAngle);
      }
      if (BladeIdentifier.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(BladeIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasSpeed) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Speed);
      }
      if (HasPitchAngle) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(PitchAngle);
      }
      if (BladeIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(BladeIdentifier);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WindTurbineBlade other) {
      if (other == null) {
        return;
      }
      if (other.HasSpeed) {
        Speed = other.Speed;
      }
      if (other.HasPitchAngle) {
        PitchAngle = other.PitchAngle;
      }
      if (other.BladeIdentifier.Length != 0) {
        BladeIdentifier = other.BladeIdentifier;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Speed = input.ReadString();
            break;
          }
          case 18: {
            PitchAngle = input.ReadString();
            break;
          }
          case 26: {
            BladeIdentifier = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Speed = input.ReadString();
            break;
          }
          case 18: {
            PitchAngle = input.ReadString();
            break;
          }
          case 26: {
            BladeIdentifier = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
